Bug 444365 - KDE 5.23.1 - KLIPPER - Actions truncate contents of clipboard
Summary: KDE 5.23.1 - KLIPPER - Actions truncate contents of clipboard
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Clipboard (show other bugs)
Version: 5.23.1
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: valdikss
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-25 10:44 UTC by Kurtsjunkacc
Modified: 2021-12-05 17:00 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.23.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kurtsjunkacc 2021-10-25 10:44:44 UTC
SUMMARY
Whilst trying to use klipper actions it seems to truncate the contents of the clipboard.

STEPS TO REPRODUCE
1. copy the following to the clipboard:
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

2. action the following simple klipper action
Command      Output Handling    Description
echo -n %s   Replace Clipboard  Edit

OBSERVED RESULT
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa…

EXPECTED RESULT
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.1
KDE Frameworks Version: 5.87.0
Qt Version: 5.15.2
Kernel Version: 5.14.14-arch1-1 (64-bit) 

ADDITIONAL INFORMATION
Comment 1 Kurtsjunkacc 2021-11-10 06:35:17 UTC
I wonder if this is an unintentional by product of the following fix:

https://invent.kde.org/plasma/plasma-workspace/-/commit/f9669af2cfa6afdf6567ded5159c45ea8ab6c947

To fix bug

https://bugs.kde.org/show_bug.cgi?id=431673
Comment 2 valdikss 2021-12-05 12:25:28 UTC
You're right. Fix is on the way.
Comment 3 Bug Janitor Service 2021-12-05 13:12:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1250
Comment 4 Nate Graham 2021-12-05 16:57:58 UTC
Git commit 49365857623f7e986013bee7d3160594d2272fe2 by Nate Graham, on behalf of ValdikSS ValdikSS.
Committed on 05/12/2021 at 16:48.
Pushed by ngraham into branch 'master'.

Fix Klipper Actions content truncation

Commit f9669af2 introduced a regression with Klipper Actions: it used
truncated text as a source for the action, which resulted in truncated
output.

M  +1    -1    klipper/urlgrabber.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/49365857623f7e986013bee7d3160594d2272fe2
Comment 5 Nate Graham 2021-12-05 17:00:15 UTC
Git commit beb34e3d9781c7728260d486a835c52be21a6d83 by Nate Graham, on behalf of ValdikSS ValdikSS.
Committed on 05/12/2021 at 17:00.
Pushed by ngraham into branch 'Plasma/5.23'.

Fix Klipper Actions content truncation

Commit f9669af2 introduced a regression with Klipper Actions: it used
truncated text as a source for the action, which resulted in truncated
output.


(cherry picked from commit 49365857623f7e986013bee7d3160594d2272fe2)

M  +1    -1    klipper/urlgrabber.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/beb34e3d9781c7728260d486a835c52be21a6d83